---
title: "Use Invite Token"
slug: "use-invite-token"
status: "update"
updated: 2026-09-15T14:03:16Z
published: 2026-09-15T14:03:16Z
canonical: "developer.rocket.chat/use-invite-token"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Use Invite Token
Post/api/v1/useInviteToken
Uses an invite token to join a channel or room.
This endpoint also checks whether the user is banned from the target room before allowing them to use the invite link. A banned user must be unbanned first before they can join via an invite token.
### Changelog
| Version | Description |
| --- | --- |
| 8.4.0 | Added ban check — banned users can no longer join via invite token |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersUse Invite Token
```json
{
"token": "R4VDXJ9KJZB8M2QW"
}
```
object tokenstring Required
The invite token to use.
Responses200
OK
Success Example
```json
{
"room": {
"_id": "sN9KJZX2aX7aXqB2a",
"name": "general",
"topic": "General discussion"
},
"success": true
}
```
Expand Allobject roomobject
The room information.
_idstring
namestring
topicstring
successboolean
400
Bad Request
User Is Banned
```json
{
"success": false,
"error": "User is banned from this room",
"errorType": "error-user-is-banned"
}
```
Invalid Token
```json
{
"success": false,
"error": "Invalid invite token",
"errorType": "error-invalid-token"
}
```
Token Expired
```json
{
"success": false,
"error": "Invite token has expired",
"errorType": "error-invite-token-expired"
}
```
object successboolean
errorstring
errorTypestring
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring